Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	C++ SVG Rendering Library
Name:      	agg
Version:   	2.5
Release:   	2
License: 	GNU/LGPL
URL:		http://www.antigrain.com
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.gz
Patch0: 	agg-2.4-depends.patch
Patch1: 	agg-2.5-pkgconfig.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  SDL-devel
BuildRequires:  libX11-devel
BuildRequires:  DirectFB-devel
BuildRequires:  freetype-devel
BuildRequires:  libstdc++-devel
BuildRequires:  sysfsutils-devel
BuildRequires:  zlib-devel

%description
Very fast and complete library to render SVG graphics. It provides a
C++ interface.

%package devel
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for developing applications using %{name}


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 -b .depends
%patch1 -p1 -b .pkgconfig
aclocal
autoheader
autoconf
libtoolize --force
automake --foreign --add-missing --ignore-deps


%build
%configure --disable-static --disable-gpc
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install INSTALL='install -p'

rm -rf __dist_examples __clean_examples
cp -a examples __clean_examples
make -C __clean_examples distclean
rm -rf __clean_examples/Makefile.am __clean_examples/{win32*,macosx*,BeOS}
mkdir __dist_examples
mv __clean_examples __dist_examples/examples

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_pkgconfig}

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
#%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.5-2
- rebuild against latest directfb
* Mon Oct 01 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.5-1
- initial release
